<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">
<HTML>
<HEAD>
  <TITLE>Qmail-Scanner ./configure options</TITLE>
</HEAD>
<BODY BGCOLOR="#FFFFFF">
  <H1>Qmail-Scanner ./configure options</H1>

<P>


The following shows what options  the Qmail-Scanner
installation supports: </P>

<P>

<center>

<table border="1" cellpadding="5" width="80%" bgcolor="#CCCCCC">
<TR><TD><PRE>
 ./configure --help
 invalid option: 
valid options:
  --qmaildir &lt;top of qmail&gt; defaults to /var/qmail/
  --spooldir &lt;spooldir&gt; defaults to /var/spool/qmailscan/
  --bindir &lt;installdir&gt; where to install qmail-scanner-queue.pl
                        Defaults to /var/qmail/bin/
  --admin &lt;username&gt; user to Email alerts to (default: root)
  --domain &lt;domain name&gt; "user"@"domain" makes up Email address
         to Email alerts to.
  --notify "none|sender|recips|admin|nmladm|all" Defaults to "sender,admin". 
                                     Comma-separated list (no spaces!)
                                     of addresses to which alerts should
                                     be sent to. "nmladm" means only
                                     notify admin for "clean", 
                                     i.e. non-mailing-list mail.   
  --local-domains "one.domain,two.domain" Defaults to the 
                                     value of the "--domain" setting.
                                     Comma-separated list (no spaces!) 
                                     of domains that are classified as
                                     "local". This is needed to ensure 
                                     alerts are only sent to local users
                                     and not remote when '--notify "recips"'
                                     is chosen. This will drastically
                                     reduce the chance of alerts being
                                     sent to mailing-lists.            
  --silent-viruses "virus1,virus2"   Defaults to "auto".
                                     This option allows you to tell 
                                     Qmail-Scanner *not* to notify 
                                     senders when it quarantines one
                                     of these viruses. Viruses such 
                                     as Klez alter the sender address
                                     so that it has no relation to the
                                     actual sender - so there's no point
                                     in responding to Klez messages - it
                                     just confuses people. The admin and
                                     recips will still be notified as set
                                     by "--notify".
                                     Use this option to override "auto".
                                     By default this is set to:
                                     klez,bugbear,hybris,yaha,braid,nimda,tanatos,
                                     sobig,winevar
  --lang "de_DE en_GB ...."   
                                     Defaults to en_GB.
  --archive [yes|no|regex] Defaults to "no". Whether to archive mail after
                           it as been processed. If "yes", all copies of 
                           processed mail will be moved into the maildir 
                           "/var/spool/qmailscan/archives/". Any other string besides
                           "yes" and "no" will be treated as a REGEX. Only mail
                           from or to an address that contains that regex will
                           be archived. e.g. "jhaar|harry" or "\@our.domain".
                           Be careful with this option, a badly written regex
                           will cause Qmail-Scanner to crash.
  --redundant [yes|no]    Defaults to "no". Whether or not to let the scanners
                          also scan any zip files and the original "raw" Email
                          file.
  --log-details [yes|syslog|no] Whether or not to log to mailstats.csv/via 
                                syslog the attachment structure of every Email 
                                message. Off (no) by default.
  --add-dscr-hdrs [yes|no|all]  Defaults to "no". This adds the now old-fashion
                            X-Qmail-Scanner headers to the message. "all" adds
			    the "rcpt to" headers too - this is a privacy hole.
  --scanners <list of installed content scanners>
                                    Defaults to "auto" - will use
                                    whatever scanners are found on system.
                                    Use this option to override "auto" - set
                                    to one or more of the following:

auto,none,sweep,sophie,vscan,trophie,uvscan,....
[run command for full list]

                                    Note the special-case "none". This
                                    will disable all but the internal
                                    perlscanner module.
                                    
  --fix-mime [yes|no|num]  Defaults to "yes". Whether or not to attempt to 
                          "fix" broken MIME messages before doing anything
                          else. Should be safe, but *may* break some 
                          strange, old mailers (none known yet).
  --debug    [yes|no]     Whether or not debugging is turned on. On (yes)
                          by default. Can be also set to a number. Numbers 
                          over 100 cause Q-S to not cleanup working files
                          - thus allowing for offline debugging...
  --unzip    [yes|no]     Whether or not to forcibly unzip all zip files. On 
                          by default to help perlscanner.
  --donotconfirm          Do not confirm configure information.
  --install               Create directory paths, install perl script,
                          and change ownerships to match.

       ****************
         Rarely Used
       ****************

  --no-QQ-check           Don't check that the QMAILQUEUE patch is installed. 
                          This explicitly disables any "--install" reference 
                          as that is NOT POSSIBLE with a manual install.
                          Use ONLY IF YOU MUST. The QMAILQUEUE patch is REALLY
                          a GOOD THING!!!!
  --qmail-queue-binary    Set this to the FULL PATH to the Qmail qmail-queue 
                          binary. This is only EVER set when doing a manual 
                          install.


This script must be run as root so it can detect problems with setuid
perl scripts! 


</PRE></TD></TR> </TABLE> </P> 

<p><font size="-3"><b>Last Updated:</b> <?php echo   date ("l dS of F Y h:i:s A",filemtime($_SERVER[SCRIPT_FILENAME])). " GMT"; ?></font>
<P>
</BODY> </HTML>
